Subject: Re: [PATCH -next] nouveau: fix acpi_lid_open undefined

From: Randy Dunlap <[email-masked]>
Date: Mon, 24 May 2010 07:17:21 -0700

On 05/24/10 06:59, Matthew Garrett wrote:
> On Mon, May 24, 2010 at 06:53:51AM -0700, Randy Dunlap wrote:
>> On 05/24/10 05:56, Matthew Garrett wrote:
>>> Won't this result in a behavioural difference? The desirable outcome is 
>>
>> It could, yes.
>>
>>> that that configuration be impossible, not for that configuration to 
>>> build but be buggy.
>>
>> so nouveau should depend on (or select, if ACPI is enabled) ACPI_BUTTON?
> 
> There's an argument that it doesn't need to depend on it, but if button 
> is a module then nouveau has to be. Except the inverse isn't true. 
> Kconfig is hard, let's weep gently.

Maybe Dave can weep with us when he is back at work...

-- 
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***